%define dbus_version    	0.90
%define dbus_glib_version	0.70
%define gtk2_version            2.10
%define libgnome_version        2.16
%define libgnomeui_version      2.16
%define gnome_doc_utils_version 0.3.2
%define polkit_version          0.6
%define intltool_version        0.35

Summary: GNOME dialogs for PolicyKit
Name: PolicyKit-gnome
Version: 0.6
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/PolicyKit-gnome.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: intltool >= %{intltool_version}
BuildRequires: gettext
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnome >= %{libgnome_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: PolicyKit >= %{polkit_version}

%description 
PolicyKit-gnome provides a D-Bus session bus service that is used to
bring up authentication dialogs used for obtaining privileges.

%package demo
Summary: Demo application for PolicyKit-gnome
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description demo 
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING TODO

%{_libexecdir}/polkit-gnome-manager
%{_datadir}/dbus-1/services/org.gnome.PolicyKit.service

%files demo
%defattr(-,root,root,-)
%{_bindir}/polkit-gnome-example
%{_libexecdir}/polkit-gnome-example-helper
%{_datadir}/PolicyKit/policy/polkit-gnome-example.policy

%changelog
* Thu Oct 11 2007 David Zeuthen <davidz@redhat.com> - 0.6-1%{?dist}
- Update to latest upstream release

* Tue Sep 25 2007 David Zeuthen <davidz@redhat.com> - 0.6-0.git20070925%{?dist}
- Update to git snapshot

* Mon Sep  3 2007 Matthias Clasen <mclasen@redhat.com> - 0.5-4
- Add gettext BR

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-3%{?dist}
- Rebuild

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-2%{?dist}
- Require newer PolicyKit release

* Fri Aug 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-1%{?dist}
- Upstream release 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.4%{?dist}
- Add BR for intltool

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.3%{?dist}
- Add BR for gnome-doc-utils

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.2%{?dist}
- Rebuild

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731.1%{?dist}
- Rebuild and require PolicyKit >= 0.5

* Tue Jul 31 2007 David Zeuthen <davidz@redhat.com> - 0.5-0.git20070731%{?dist}
- Update to git snapshot

* Wed Jul 25 2007 David Zeuthen <davidz@redhat.com> - 0.4-1%{?dist}
- Update to 0.4

* Tue Jun 19 2007 David Zeuthen <davidz@redhat.com> - 0.3-1%{?dist}
- Initial build.

